preboard_client_free
preboard_client_new
preboard_client_start_service
preboard_client_t
preboard_commit_stashbag
preboard_create_stashbag
preboard_error_t
preboard_receive
preboard_receive_with_timeout
preboard_send
PREBOARD_SERVICE_NAME
preboard_status_cb_t

## preboard_receive_with_timeout()

LIBIMOBILEDEVICE_API preboard_error_t preboard_receive_with_timeout | ( | preboard_client_t | client,
|  | plist_t * | plist,
|  | uint32_t | timeout_ms )

Receives a plist from the service with the specified timeout.

Parameters

  client | The preboard client
  plist | Pointer to a plist_t what will be set to the received plist
  timeout_ms | Timeout in milliseconds

Returns
  PREBOARD_E_SUCCESS on success, PREBOARD_E_INVALID_ARG when client or plist is NULL, PREBOARD_E_TIMEOUT when no data was received after the given timeout, or a PREBOARD_E_* error code on error.